{
  "extends": "./.svelte-kit/tsconfig.json",
  "compilerOptions": {
    "allowJs": true,
    "checkJs": true,
    "esModuleInterop": true,
    "forceConsistentCasingInFileNames": true,
    "noUncheckedIndexedAccess": true,
    "resolveJsonModule": true,
    "skipLibCheck": true,
    "sourceMap": true,
    "strict": true,
    "moduleResolution": "bundler"
  },
  "typedocOptions": {
    "name": "CI Template JS Test",
    "entryPointStrategy": "expand",
    "entryPoints": ["./src"],
    "sourceLinkTemplate": "https://gitlab.com/rwsdatalab/testing/selene/ci-template-js-test/-/blob/{gitRevision}/{path}#L{line}",
    "readme": "./README.md",
    "githubPages": false,
    "exclude": [
      "**/node_modules/**",
      "./.svelte-kit/**",
      "./doc/_build/**",
      "./.eslintrc.cjs",
      "./postcss.config.cjs",
      "./tailwind.config.cjs",
      "./svelte.config.js"
    ]
  },
  "include": [
    "./.svelte-kit/ambient.d.ts",
    "./.svelte-kit/types/**/$types.d.ts",
    "./vite.config.js",
    "./vite.config.ts",
    "./src/**/*.js",
    "./src/**/*.ts",
    "./src/**/*.svelte",
    "./tests/**/*.js",
    "./tests/**/*.ts",
    "./tests/**/*.svelte",
    // Custom rules
    "./.storybook/**/*.ts",
    "./vitest.config.ts",
    "./playwright.config.ts"
  ]
  // Path aliases are handled by https://kit.svelte.dev/docs/configuration#alias
  //
  // If you want to overwrite includes/excludes, make sure to copy over the relevant includes/excludes
  // from the referenced tsconfig.json - TypeScript does not merge them in
}
